/* Installationsscript fuer Octave 1.1.1 for OS/2 */
/* (c) 1995, Klaus Gebhardt */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

parse arg option size
if (DATATYPE(size,'W') = 0 | size <= 0 | size > 512) then size=64

select
  when option = 'install' then do
    call install size
    end
  when option = 'heap' then do
    call heapsize size
    end
  when option = 'clean' then do
    call clean
    end
  otherwise do
    '@e README.OS2'
    end
end

exit

heapsize: procedure
parse arg xsize
  say 'It is no longer ncessary to fix the heap size!'
  say 'This option will be ignored.'
  return

install: procedure
parse arg isize
  rc = SysFileTree('ChangeLog',fs,'F')
  if fs.0 = 1 then scr = 'hpfs.zip'
  else scr = 'fat.zip'
  'unzip' scr
  return

clean: procedure
  'del Change*.* *.zip COPY*.* BUGS NEWS PROJECTS README.* ROADMAP SENDING.PAT THANKS'
  say 'Now type "del install.cmd" to delete the installation script.'
  return
